/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class FishingShopPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Main";
        public override string UIResName => "FishingShopPanel";

        [AutoFind(Name = "loading")]
        public Controller loading;
        [AutoFind(Name = "ItemList")]
        public CommonItemList ItemList;
        [AutoFind(Name = "Loading")]
        public GLabel Loading;
        public override string[] GetDependPackages(){ return new string[] {"Common","CommonNew"}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<FishingShopPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<FishingShopPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<FishingShopPanel>(); }

    }
}